Name:    dvb-apps
Version: 1.1.3
Release: 4%{?dist}
Summary: Utility, demo and test applications using the Linux DVB API

License: GPLv2+
URL:     http://www.linuxtv.org/wiki/index.php/LinuxTV_dvb-apps
Source0: %{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
%if 0%{?fedora} >= 37
BuildRequires:  libusb-compat-0.1-devel
%else
BuildRequires:  libusb-devel
%endif
BuildRequires:  kernel-headers
BuildRequires:  perl-interpreter

%description
The LinuxTV dvb-apps package contains some Linux DVB API applications and a set
of utilities that both the developer and end user alike will find quite useful.
Specifically, the utilities are geared towards the initial setup, testing, and
operation of a DVB device, whether it be of the software decoding or hardware
decoding type.

%prep
%setup -q

cd util
install -pm 644 av7110_loadkeys/README ../README.av7110_loadkeys
install -pm 644 scan/README ../README.scandvb
install -pm 644 szap/README ../README.szap
install -pm 644 ttusb_dec_reset/README ../README.ttusb_dec_reset
cd ..

%build
%make_build libdir=%{_libdir}

%install
%make_install libdir=%{_libdir}
chmod -c +x %{buildroot}%{_libdir}/lib*.so
#Remove static libraries
find %{buildroot} -name '*.a' -delete

%files
%license COPYING COPYING.LGPL
%doc README README.*
%{_bindir}/*
%{_datadir}/dvb/av7110_loadkeys/
%{_libdir}/libdvbapi.so
%{_libdir}/libdvbcfg.so
%{_libdir}/libdvben50221.so
%{_libdir}/libdvbsec.so
%{_libdir}/libucsi.so
# Exclude for the moment as they're not used by shipped binaries
%exclude %{_libdir}/libesg.so
%exclude %{_includedir}/*
# dvbscan doesn't work and is obsolete, don't install it
%exclude %{_bindir}/dvbscan

